# ThreadPool.Shutdown Method
Turn off the pool. Every thread, when finished with its current work, will realize that the pool is no longer running, and will exit.

AsterNet Class Library (Sandcastle documentation)

| ThreadPool Shutdown Method

Turn off the pool. Every thread, when finished with its current work, will realize that the pool is no longer running, and will exit.

Namespace: AsterNET.Util
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public void Shutdown()

    Public Sub Shutdown

    public:
    void Shutdown()

    member Shutdown : unit -> unit

See Also

#### Reference

ThreadPool Class
AsterNET.Util Namespace